Class | DRb::GW
In: | drb/gw.rb
Parent: | Object

### Methods

[] []= new

### Included Modules

MonitorMixin

### Public Class methods

new()

[Source]

    # File drb/gw.rb, line 16
        def initialize
          super()
          @hash = {}
        end

### Public Instance methods

[](key)

[Source]

    # File drb/gw.rb, line 21
        def [](key)
          synchronize do
            @hash[key]
          end
        end

[]=(key, v)

[Source]

    # File drb/gw.rb, line 27
        def []=(key, v)
          synchronize do
            @hash[key] = v
          end
        end

[Validate]